defmodule Textos.Repo.Migrations.ConvertVarcharToText do
  use Ecto.Migration

  def change do
    alter table(:translations) do
      modify :note, :text
      modify :translation_text, :text
    end

    alter table(:transcriptions) do
      modify :note, :text
      modify :transcription_text, :text
    end
    
    alter table(:subtitles) do
      modify :note, :text
      modify :subtitle_text, :text
    end
    
    alter table(:media) do
      modify :note, :text
      modify :description, :text
    end
  end
end
